<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/entities/items/expansiontemporaryownedquestcontainer.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d4d/a02186_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiontemporaryownedquestcontainer.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d4d/a02186.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionTemporaryOwnedQuestContainer.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/dbb/a06466.html">ExpansionTemporaryOwnedQuestContainer</a>: <a class="code hl_class" href="../../d0/dca/a04906.html">ExpansionOwnedContainer</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#aa24441e793d4da22dc7072e11a7f9983">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d7/dbb/a06466.html#aa24441e793d4da22dc7072e11a7f9983">m_ExpansionCanReceiveItems</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#a9eefe72c9fc2cf314f86ee598a211f46">   16</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d7/dbb/a06466.html#a9eefe72c9fc2cf314f86ee598a211f46">m_ExpansionStashDelete</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#a4e44261b7c2824345e5c7cf9294c1c14">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#a4e44261b7c2824345e5c7cf9294c1c14">ExpansionTemporaryOwnedQuestContainer</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> (IsMissionHost())  <span class="comment">//! Server or COM</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            SetAllowDamage(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment"></span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">            //! Check if empty every 5 seconds</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment"></span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(<a class="code hl_function" href="../../d7/dbb/a06466.html#a8b77b5734e863bdfe602a0e699f4a9a9">ExpansionCheckStorage</a>, 5000, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#a37edb59f0d8fda1a0fc14317cd5afa4b">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#a37edb59f0d8fda1a0fc14317cd5afa4b">~ExpansionTemporaryOwnedQuestContainer</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> (IsMissionHost())  <span class="comment">//! Server or COM</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).Remove(<a class="code hl_function" href="../../d7/dbb/a06466.html#a8b77b5734e863bdfe602a0e699f4a9a9">ExpansionCheckStorage</a>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d7/dbb/a06466.html#a9eefe72c9fc2cf314f86ee598a211f46">m_ExpansionStashDelete</a>)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).Remove(<a class="code hl_function" href="../../d7/dbb/a06466.html#a3174ea1ed18b6789144859be83ab5095">ExpansionDeleteStorage</a>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).Remove(<a class="code hl_function" href="../../d7/dbb/a06466.html#aa030b1434ec81b8f3528f76d393b58d1">ExpansionStorageNotification</a>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#abefa8130df67628d9fed39bd8ed23631">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#abefa8130df67628d9fed39bd8ed23631">CanPutInCargo</a>(EntityAI parent)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> (parent.IsInherited(UndergroundStash))</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> super.CanPutInCargo(parent);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#ac681832c45f7c25c70c06507a909670c">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#ac681832c45f7c25c70c06507a909670c">CanCombineAttachment</a>(notnull EntityAI e, <span class="keywordtype">int</span> slot, <span class="keywordtype">bool</span> stack_max_limit = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#abdc6587b11d4842f16ce0048528517ac">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#abdc6587b11d4842f16ce0048528517ac">CanReceiveAttachment</a>(EntityAI attachment, <span class="keywordtype">int</span> slotId)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d7/dbb/a06466.html#aa24441e793d4da22dc7072e11a7f9983">m_ExpansionCanReceiveItems</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#abc737b130f5a301b2c1917bc485092d5">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#abc737b130f5a301b2c1917bc485092d5">CanReceiveItemIntoCargo</a>(EntityAI item)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d7/dbb/a06466.html#aa24441e793d4da22dc7072e11a7f9983">m_ExpansionCanReceiveItems</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#a3abd6ed02921944e847d5f3ac7c55dd6">   66</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#a3abd6ed02921944e847d5f3ac7c55dd6">CanSwapItemInCargo</a>(EntityAI child_entity, EntityAI new_entity)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#a184bd913189fb766075f5777f6791273">   71</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#a184bd913189fb766075f5777f6791273">ExpansionSetCanReceiveItems</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_variable" href="../../d7/dbb/a06466.html#aa24441e793d4da22dc7072e11a7f9983">m_ExpansionCanReceiveItems</a> = state;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#a8b77b5734e863bdfe602a0e699f4a9a9">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#a8b77b5734e863bdfe602a0e699f4a9a9">ExpansionCheckStorage</a>()</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d7/dbb/a06466.html#aaaa41c47ead1b774a38cde6931b24266">IsInStash</a>() &amp;&amp; !<a class="code hl_variable" href="../../d7/dbb/a06466.html#a9eefe72c9fc2cf314f86ee598a211f46">m_ExpansionStashDelete</a>)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_function" href="../../d7/dbb/a06466.html#ad810fafbba139c6527a5bf8dee15709b">ExpansionDeleteStashAfterCooldown</a>();</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (IsEmpty())</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <a class="code hl_function" href="../../d7/dbb/a06466.html#a3174ea1ed18b6789144859be83ab5095">ExpansionDeleteStorage</a>();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#ad810fafbba139c6527a5bf8dee15709b">   85</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#ad810fafbba139c6527a5bf8dee15709b">ExpansionDeleteStashAfterCooldown</a>()</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_variable" href="../../d7/dbb/a06466.html#a9eefe72c9fc2cf314f86ee598a211f46">m_ExpansionStashDelete</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> (IsMissionHost())  <span class="comment">//! Server or COM</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="comment">            //! Delete after 20 minutes</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment"></span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(<a class="code hl_function" href="../../d7/dbb/a06466.html#a3174ea1ed18b6789144859be83ab5095">ExpansionDeleteStorage</a>, 1000 * 60 * 20, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment"></span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="comment">        //! Warn about pending deletion after 15 minutes</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="comment"></span>        <span class="keywordflow">if</span> (IsMissionClient())  <span class="comment">//! Client or COM</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(<a class="code hl_function" href="../../d7/dbb/a06466.html#aa030b1434ec81b8f3528f76d393b58d1">ExpansionStorageNotification</a>, 1000 * 60 * 15, <span class="keyword">false</span>, <span class="stringliteral">&quot;STR_EXPANSION_TEMPORARY_STORAGE_EXPIRATION_WARNING&quot;</span>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#aaaa41c47ead1b774a38cde6931b24266">   99</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#aaaa41c47ead1b774a38cde6931b24266">IsInStash</a>()</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        UndergroundStash stash;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">if</span> (Class.CastTo(stash, GetParent()))</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#aa030b1434ec81b8f3528f76d393b58d1">  108</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#aa030b1434ec81b8f3528f76d393b58d1">ExpansionStorageNotification</a>(<span class="keywordtype">string</span> msg)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span> (IsEmpty())</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player = <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.GetPlayerByUID(<a class="code hl_variable" href="../../d0/dca/a04906.html#a63dd030103bc1fd074871e89f7991530">m_ExpansionContainerUID</a>);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> (!player || !player.GetIdentity())</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        StringLocaliser title = <span class="keyword">new</span> StringLocaliser(<span class="stringliteral">&quot;STR_EXPANSION_TEMPORARY_STORAGE&quot;</span>);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        StringLocaliser text = <span class="keyword">new</span> StringLocaliser(msg);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_function" href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a>(title, text, <a class="code hl_variable" href="../../da/d28/a09115.html#a67e267f384f1c02449811709cdfacbe7">EXPANSION_NOTIFICATION_ICON_TRADER</a>, <a class="code hl_variable" href="../../da/d28/a09115.html#a5ebc9048f0c5bc9a5ddbcfda88d85220">COLOR_EXPANSION_NOTIFICATION_ORANGE</a>).<a class="code hl_function" href="../../de/da2/a04294.html#a2ab4a8dcede01c5fda12c99d6ba77fb2">Create</a>(player.GetIdentity());</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d7/dbb/a06466.html#a3174ea1ed18b6789144859be83ab5095">  123</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dbb/a06466.html#a3174ea1ed18b6789144859be83ab5095">ExpansionDeleteStorage</a>()</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_function" href="../../d7/dbb/a06466.html#aa030b1434ec81b8f3528f76d393b58d1">ExpansionStorageNotification</a>(<span class="stringliteral">&quot;STR_EXPANSION_TEMPORARY_STORAGE_EXPIRED&quot;</span>);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        GetGame().ObjectDelete(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>};</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d3/dd6/a06470.html">  131</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/dd6/a06470.html">ExpansionQuestSeaChest</a>: <a class="code hl_class" href="../../d7/dbb/a06466.html">ExpansionTemporaryOwnedQuestContainer</a> {};</div>
<div class="ttc" id="aa00731_html_a035f8a89b4bc04b99c33feb27da703fd"><div class="ttname"><a href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a></div><div class="ttdeci">class ExpansionNotificationTemplate&lt; Class T &gt; ExpansionNotification(StringLocaliser title, StringLocaliser text, string icon=&quot;&quot;, int color=0, float time=7, ExpansionNotificationType type=ExpansionNotificationType.TOAST)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00066">expansionnotificationsystem.c:132</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04294_html_a2ab4a8dcede01c5fda12c99d6ba77fb2"><div class="ttname"><a href="../../de/da2/a04294.html#a2ab4a8dcede01c5fda12c99d6ba77fb2">ExpansionNotificationTemplate&lt; Class T &gt;::Create</a></div><div class="ttdeci">void Create(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00094">expansionnotificationsystem.c:94</a></div></div>
<div class="ttc" id="aa04906_html"><div class="ttname"><a href="../../d0/dca/a04906.html">ExpansionOwnedContainer</a></div><div class="ttdoc">Cargo container that's only accessible by the designated owner.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ddd/a01223_source.html#l00014">expansionownedcontainer.c:15</a></div></div>
<div class="ttc" id="aa04906_html_a63dd030103bc1fd074871e89f7991530"><div class="ttname"><a href="../../d0/dca/a04906.html#a63dd030103bc1fd074871e89f7991530">ExpansionOwnedContainer::m_ExpansionContainerUID</a></div><div class="ttdeci">protected string m_ExpansionContainerUID</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ddd/a01223_source.html#l00016">expansionownedcontainer.c:16</a></div></div>
<div class="ttc" id="aa06466_html"><div class="ttname"><a href="../../d7/dbb/a06466.html">ExpansionTemporaryOwnedQuestContainer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00013">expansiontemporaryownedquestcontainer.c:14</a></div></div>
<div class="ttc" id="aa06466_html_a184bd913189fb766075f5777f6791273"><div class="ttname"><a href="../../d7/dbb/a06466.html#a184bd913189fb766075f5777f6791273">ExpansionTemporaryOwnedQuestContainer::ExpansionSetCanReceiveItems</a></div><div class="ttdeci">void ExpansionSetCanReceiveItems(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00071">expansiontemporaryownedquestcontainer.c:71</a></div></div>
<div class="ttc" id="aa06466_html_a3174ea1ed18b6789144859be83ab5095"><div class="ttname"><a href="../../d7/dbb/a06466.html#a3174ea1ed18b6789144859be83ab5095">ExpansionTemporaryOwnedQuestContainer::ExpansionDeleteStorage</a></div><div class="ttdeci">void ExpansionDeleteStorage()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00123">expansiontemporaryownedquestcontainer.c:123</a></div></div>
<div class="ttc" id="aa06466_html_a37edb59f0d8fda1a0fc14317cd5afa4b"><div class="ttname"><a href="../../d7/dbb/a06466.html#a37edb59f0d8fda1a0fc14317cd5afa4b">ExpansionTemporaryOwnedQuestContainer::~ExpansionTemporaryOwnedQuestContainer</a></div><div class="ttdeci">void ~ExpansionTemporaryOwnedQuestContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00029">expansiontemporaryownedquestcontainer.c:29</a></div></div>
<div class="ttc" id="aa06466_html_a3abd6ed02921944e847d5f3ac7c55dd6"><div class="ttname"><a href="../../d7/dbb/a06466.html#a3abd6ed02921944e847d5f3ac7c55dd6">ExpansionTemporaryOwnedQuestContainer::CanSwapItemInCargo</a></div><div class="ttdeci">override bool CanSwapItemInCargo(EntityAI child_entity, EntityAI new_entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00066">expansiontemporaryownedquestcontainer.c:66</a></div></div>
<div class="ttc" id="aa06466_html_a4e44261b7c2824345e5c7cf9294c1c14"><div class="ttname"><a href="../../d7/dbb/a06466.html#a4e44261b7c2824345e5c7cf9294c1c14">ExpansionTemporaryOwnedQuestContainer::ExpansionTemporaryOwnedQuestContainer</a></div><div class="ttdeci">void ExpansionTemporaryOwnedQuestContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00018">expansiontemporaryownedquestcontainer.c:18</a></div></div>
<div class="ttc" id="aa06466_html_a8b77b5734e863bdfe602a0e699f4a9a9"><div class="ttname"><a href="../../d7/dbb/a06466.html#a8b77b5734e863bdfe602a0e699f4a9a9">ExpansionTemporaryOwnedQuestContainer::ExpansionCheckStorage</a></div><div class="ttdeci">void ExpansionCheckStorage()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00076">expansiontemporaryownedquestcontainer.c:76</a></div></div>
<div class="ttc" id="aa06466_html_a9eefe72c9fc2cf314f86ee598a211f46"><div class="ttname"><a href="../../d7/dbb/a06466.html#a9eefe72c9fc2cf314f86ee598a211f46">ExpansionTemporaryOwnedQuestContainer::m_ExpansionStashDelete</a></div><div class="ttdeci">protected bool m_ExpansionStashDelete</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00016">expansiontemporaryownedquestcontainer.c:16</a></div></div>
<div class="ttc" id="aa06466_html_aa030b1434ec81b8f3528f76d393b58d1"><div class="ttname"><a href="../../d7/dbb/a06466.html#aa030b1434ec81b8f3528f76d393b58d1">ExpansionTemporaryOwnedQuestContainer::ExpansionStorageNotification</a></div><div class="ttdeci">void ExpansionStorageNotification(string msg)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00108">expansiontemporaryownedquestcontainer.c:108</a></div></div>
<div class="ttc" id="aa06466_html_aa24441e793d4da22dc7072e11a7f9983"><div class="ttname"><a href="../../d7/dbb/a06466.html#aa24441e793d4da22dc7072e11a7f9983">ExpansionTemporaryOwnedQuestContainer::m_ExpansionCanReceiveItems</a></div><div class="ttdeci">protected bool m_ExpansionCanReceiveItems</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00015">expansiontemporaryownedquestcontainer.c:15</a></div></div>
<div class="ttc" id="aa06466_html_aaaa41c47ead1b774a38cde6931b24266"><div class="ttname"><a href="../../d7/dbb/a06466.html#aaaa41c47ead1b774a38cde6931b24266">ExpansionTemporaryOwnedQuestContainer::IsInStash</a></div><div class="ttdeci">bool IsInStash()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00099">expansiontemporaryownedquestcontainer.c:99</a></div></div>
<div class="ttc" id="aa06466_html_abc737b130f5a301b2c1917bc485092d5"><div class="ttname"><a href="../../d7/dbb/a06466.html#abc737b130f5a301b2c1917bc485092d5">ExpansionTemporaryOwnedQuestContainer::CanReceiveItemIntoCargo</a></div><div class="ttdeci">override bool CanReceiveItemIntoCargo(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00061">expansiontemporaryownedquestcontainer.c:61</a></div></div>
<div class="ttc" id="aa06466_html_abdc6587b11d4842f16ce0048528517ac"><div class="ttname"><a href="../../d7/dbb/a06466.html#abdc6587b11d4842f16ce0048528517ac">ExpansionTemporaryOwnedQuestContainer::CanReceiveAttachment</a></div><div class="ttdeci">override bool CanReceiveAttachment(EntityAI attachment, int slotId)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00056">expansiontemporaryownedquestcontainer.c:56</a></div></div>
<div class="ttc" id="aa06466_html_abefa8130df67628d9fed39bd8ed23631"><div class="ttname"><a href="../../d7/dbb/a06466.html#abefa8130df67628d9fed39bd8ed23631">ExpansionTemporaryOwnedQuestContainer::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00043">expansiontemporaryownedquestcontainer.c:43</a></div></div>
<div class="ttc" id="aa06466_html_ac681832c45f7c25c70c06507a909670c"><div class="ttname"><a href="../../d7/dbb/a06466.html#ac681832c45f7c25c70c06507a909670c">ExpansionTemporaryOwnedQuestContainer::CanCombineAttachment</a></div><div class="ttdeci">override bool CanCombineAttachment(notnull EntityAI e, int slot, bool stack_max_limit=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00051">expansiontemporaryownedquestcontainer.c:51</a></div></div>
<div class="ttc" id="aa06466_html_ad810fafbba139c6527a5bf8dee15709b"><div class="ttname"><a href="../../d7/dbb/a06466.html#ad810fafbba139c6527a5bf8dee15709b">ExpansionTemporaryOwnedQuestContainer::ExpansionDeleteStashAfterCooldown</a></div><div class="ttdeci">void ExpansionDeleteStashAfterCooldown()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00085">expansiontemporaryownedquestcontainer.c:85</a></div></div>
<div class="ttc" id="aa06470_html"><div class="ttname"><a href="../../d3/dd6/a06470.html">ExpansionQuestSeaChest</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00131">expansiontemporaryownedquestcontainer.c:131</a></div></div>
<div class="ttc" id="aa09115_html_a5ebc9048f0c5bc9a5ddbcfda88d85220"><div class="ttname"><a href="../../da/d28/a09115.html#a5ebc9048f0c5bc9a5ddbcfda88d85220">COLOR_EXPANSION_NOTIFICATION_ORANGE</a></div><div class="ttdeci">static const int COLOR_EXPANSION_NOTIFICATION_ORANGE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d28/a09115_source.html#l00068">expansionconstants.c:68</a></div></div>
<div class="ttc" id="aa09115_html_a67e267f384f1c02449811709cdfacbe7"><div class="ttname"><a href="../../da/d28/a09115.html#a67e267f384f1c02449811709cdfacbe7">EXPANSION_NOTIFICATION_ICON_TRADER</a></div><div class="ttdeci">static const string EXPANSION_NOTIFICATION_ICON_TRADER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d28/a09115_source.html#l00184">expansionconstants.c:184</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_1aeb20201abd12b8e4cbe340a915686e.html">Quests</a></li><li class="navelem"><a class="el" href="../../dir_29e5a841f4af4b583623a745e009ef31.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_6229eaf44b730d10fc037c21be0cc9d2.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_41bb0a1ba7a249856ef624b7024ff764.html">dayzexpansion_quests</a></li><li class="navelem"><a class="el" href="../../dir_1b517365c0e176acd0c5d539074deded.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_650de161851452793c809eeb40e0235c.html">items</a></li><li class="navelem"><a class="el" href="../../d5/d4d/a02186.html">expansiontemporaryownedquestcontainer.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
